import { BossRecords } from './meta/types';
export declare const BASE_API_URL = "https://services.runescape.com";
export declare const SKILLS: readonly ["overall", "attack", "defence", "strength", "hitpoints", "ranged", "prayer", "magic", "cooking", "woodcutting", "fletching", "fishing", "firemaking", "crafting", "smithing", "mining", "herblore", "agility", "thieving", "slayer", "farming", "runecraft", "hunter", "construction"];
export declare const MINIGAMES: readonly ["bountyHunter", "bountyHunterRogue", "bountyHunterLegacy", "bountyHunterLegacyRogue", "LMS", "pvpArena", "soulWars", "riftsClosed"];
export declare const CLUES: readonly ["all", "beginner", "easy", "medium", "hard", "elite", "master"];
export declare const mappedBossNames: [keyof BossRecords, string][];
export declare const bossNameMap: Map<keyof BossRecords, string>;
export declare const hiscoreURLs: {
    readonly normal: string;
    readonly ironman: string;
    readonly ultimate: string;
    readonly hardcore: string;
    readonly deadman: string;
    readonly seasonal: string;
    readonly tournament: string;
    readonly skiller: string;
    readonly skiller_defence: string;
};
export declare const ACCOUNT_TYPES: (keyof typeof hiscoreURLs)[];
export declare enum Errors {
    INVALID_USERNAME = "INVALID_USERNAME",
    INVALID_ACCOUNT_TYPE = "INVALID_ACCOUNT_TYPE",
    ACCOUNT_NOT_FOUND = "ACCOUNT_NOT_FOUND",
    FAILED_REQUEST = "FAILED_REQUEST"
}
export declare const ErrorDescriptions: Record<string, string>;
export declare const OSRS_BOX_BASE_URL = "https://www.osrsbox.com/osrsbox-db";
export declare const EMPTY_BIRD_NEST_ID = 5075;
export declare enum SkillsEnum {
    Agility = "agility",
    Cooking = "cooking",
    Fishing = "fishing",
    Mining = "mining",
    Smithing = "smithing",
    Woodcutting = "woodcutting",
    Firemaking = "firemaking",
    Runecraft = "runecraft",
    Crafting = "crafting",
    Prayer = "prayer",
    Fletching = "fletching",
    Farming = "farming",
    Herblore = "herblore",
    Thieving = "thieving",
    Hunter = "hunter",
    Construction = "construction",
    Attack = "attack",
    Defence = "defence",
    Strength = "strength",
    Ranged = "ranged",
    Magic = "magic",
    Hitpoints = "hitpoints",
    Slayer = "slayer"
}
//# sourceMappingURL=constants.d.ts.map