"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BarbarianAssault = exports.HighGambleTable = exports.MediumGambleTable = exports.LowGambleTable = void 0;
const LootTable_1 = __importDefault(require("../../structures/LootTable"));
exports.LowGambleTable = new LootTable_1.default()
    .add('Harralander', [15, 25])
    .add('Toadflax', [15, 25])
    .add('Irit leaf', [15, 25])
    .add('Harralander seed', [5, 7])
    .add('Toadflax seed', [5, 7])
    .add('Irit seed', [5, 7])
    .add('Strawberry seed', 20)
    .add('Pineapple seed', [1, 2])
    .add('Maple seed', [1, 2])
    .add('Rune axe')
    .add('Rune med helm')
    .add('Rune dagger(p++)')
    .add('Lava battlestaff')
    .add('Adamant sq shield')
    .add('Iron ore', 200)
    .add('Feather', [500, 750])
    .add('Coal', 150)
    .add('Mithril ore', 20)
    .add('Mithril bar', 15)
    .add('Flax', [50, 75])
    .add('Blue dragonhide', [10, 20])
    .add('Uncut emerald', [25, 30])
    .add('Maple logs', [150, 200])
    .add('Uncut emerald', [25, 30])
    .add('Oak plank', [60, 80])
    .add('Mithril arrow', [300, 400])
    .add('Raw lobster', [125, 150])
    .add('Tuna', [90, 110])
    .add('Cosmic rune', [150, 200])
    .add('Chaos rune', [150, 200])
    .add('Limpwurt root', [10, 15])
    .add('Coins', [15000, 20000]);
exports.MediumGambleTable = new LootTable_1.default()
    .add('Avantoe', [25, 35])
    .add('Kwuarm', [25, 35])
    .add('Dwarf weed', [25, 35])
    .add('Avantoe seed', [10, 14])
    .add('Kwuarm seed', [10, 14])
    .add('Dwarf weed seed', [10, 14])
    .add('Watermelon seed', 20)
    .add('Papaya tree seed', [1, 2])
    .add('Yew seed', [1, 2])
    .add('Rune battleaxe')
    .add('Rune sq shield')
    .add('Rune full helm')
    .add('Mystic lava staff')
    .add('Loop half of key')
    .add('Tooth half of key')
    .add('Feather', [1200, 1500])
    .add('Coal', 400)
    .add('Adamantite ore', 40)
    .add('Adamantite bar', 25)
    .add('Big bones', 120)
    .add('Red dragonhide', [20, 30])
    .add('Uncut ruby', [25, 30])
    .add('Yew logs', [150, 200])
    .add('Teak plank', [60, 80])
    .add('Adamant arrow', [400, 500])
    .add('Nature rune', [250, 300])
    .add('Death rune', [250, 300])
    .add('Raw swordfish', [180, 210])
    .add('Swordfish', [90, 110])
    .add('Limpwurt root', [20, 30])
    .add('Unicorn horn', [20, 30])
    .add('Coins', [30000, 40000]);
exports.HighGambleTable = new LootTable_1.default()
    .oneIn(16000, 'Dragon med helm')
    .oneIn(16000, 'Dragon chainbody')
    .tertiary(15, 'Clue scroll (elite)')
    .tertiary(1000, 'Pet penance queen')
    .add('Ranarr weed', [20, 30])
    .add('Snapdragon', [20, 30])
    .add('Torstol', [20, 30])
    .add('Ranarr seed', [3, 4])
    .add('Snapdragon seed', [3, 4])
    .add('Torstol seed', [3, 4])
    .add('Watermelon seed', 50)
    .add('Palm tree seed', [1, 2])
    .add('Magic seed')
    .add('Archer helm')
    .add('Berserker helm')
    .add('Warrior helm')
    .add('Farseer helm')
    .add('Granite shield')
    .add('Granite helm')
    .add('Rune kiteshield')
    .add('Coal', 750)
    .add('Runite ore', 20)
    .add('Runite bar', 15)
    .add('Dragon bones', [50, 75])
    .add('Black dragonhide', [30, 50])
    .add('Uncut diamond', [25, 30])
    .add('Magic logs', [50, 100])
    .add('Mahogany plank', [60, 80])
    .add('Rune arrow', [400, 500])
    .add('Raw shark', [250, 300])
    .add('Shark', [75, 125])
    .add('Law rune', [250, 300])
    .add('Blood rune', [250, 300])
    .add('Limpwurt root', [30, 50])
    .add('Unicorn horn', [30, 50])
    .add('Coins', [50000, 75000]);
exports.BarbarianAssault = {
    LowGambleTable: exports.LowGambleTable,
    MediumGambleTable: exports.MediumGambleTable,
    HighGambleTable: exports.HighGambleTable
};
//# sourceMappingURL=BarbarianAssault.js.map