import Bank from '../../structures/Bank';
import LootTable from '../../structures/LootTable';
export interface TeamMember {
    id: string;
    /**
     * The rooms they died in.
     */
    deaths: number[];
}
export interface TheatreOfBloodOptions {
    /**
     * Whether or not this raid is in Challenge Mode or not.
     */
    hardMode: boolean;
    /**
     * The members of the raid team, 1-5 people.
     */
    team: TeamMember[];
}
interface ParsedMember extends TeamMember {
    numDeaths: number;
    points: number;
}
export interface TOBRoom {
    name: string;
    difficultyRating: number;
    timeWeighting: number;
}
export declare const TOBRooms: TOBRoom[];
export declare const ToBUniqueTable: LootTable;
export declare class TheatreOfBloodClass {
    nonUniqueLoot(member: ParsedMember, isHardMode: boolean, deaths: number[]): Bank;
    uniqueDecide(team: ParsedMember[]): ParsedMember;
    complete(_options: TheatreOfBloodOptions): {
        loot: Record<string, import("../../meta/types").ItemBank>;
        percentChanceOfUnique: number;
        totalDeaths: number;
        teamPoints: number;
    };
}
export declare const TheatreOfBlood: TheatreOfBloodClass;
export {};
//# sourceMappingURL=TheatreOfBlood.d.ts.map