import Collection from '../../structures/Collection';
import Monster from '../../structures/Monster';
declare class MonstersCollection extends Collection<number, Monster> {
    constructor(entries: [number, Monster][]);
}
declare const Monsters: MonstersCollection & {
    ReanimatedGoblin: import("../../structures/SimpleMonster").default;
    ReanimatedMonkey: import("../../structures/SimpleMonster").default;
    ReanimatedImp: import("../../structures/SimpleMonster").default;
    ReanimatedMinotaur: import("../../structures/SimpleMonster").default;
    ReanimatedScorpion: import("../../structures/SimpleMonster").default;
    ReanimatedBear: import("../../structures/SimpleMonster").default;
    ReanimatedUnicorn: import("../../structures/SimpleMonster").default;
    ReanimatedDog: import("../../structures/SimpleMonster").default;
    ReanimatedChaosDruid: import("../../structures/SimpleMonster").default;
    ReanimatedGiant: import("../../structures/SimpleMonster").default;
    ReanimatedOgre: import("../../structures/SimpleMonster").default;
    ReanimatedElf: import("../../structures/SimpleMonster").default;
    ReanimatedTroll: import("../../structures/SimpleMonster").default;
    ReanimatedHorror: import("../../structures/SimpleMonster").default;
    ReanimatedKalphite: import("../../structures/SimpleMonster").default;
    ReanimatedDagannoth: import("../../structures/SimpleMonster").default;
    ReanimatedBloodveld: import("../../structures/SimpleMonster").default;
    ReanimatedTzhaar: import("../../structures/SimpleMonster").default;
    ReanimatedDemon: import("../../structures/SimpleMonster").default;
    ReanimatedHellhound: import("../../structures/SimpleMonster").default;
    ReanimatedAviansie: import("../../structures/SimpleMonster").default;
    ReanimatedAbyssal: import("../../structures/SimpleMonster").default;
    ReanimatedDragon: import("../../structures/SimpleMonster").default;
    Frogeel: import("../../structures/SimpleMonster").default;
    Newtroost: import("../../structures/SimpleMonster").default;
    Spidine: import("../../structures/SimpleMonster").default;
    Swordchick: import("../../structures/SimpleMonster").default;
    Unicow: import("../../structures/SimpleMonster").default;
    Jubster: import("../../structures/SimpleMonster").default;
    AbhorrentSpectre: import("../../structures/SimpleMonster").default;
    BasiliskSentinel: import("../../structures/SimpleMonster").default;
    CaveAbomination: import("../../structures/SimpleMonster").default;
    ChasmCrawler: import("../../structures/SimpleMonster").default;
    ChokeDevil: import("../../structures/SimpleMonster").default;
    Cockathrice: import("../../structures/SimpleMonster").default;
    ColossalHydra: import("../../structures/SimpleMonster").default;
    CrushingHand: import("../../structures/SimpleMonster").default;
    FlamingPyrelord: import("../../structures/SimpleMonster").default;
    GiantRockslug: import("../../structures/SimpleMonster").default;
    GreaterAbyssalDemon: import("../../structures/SimpleMonster").default;
    GuardianDrake: import("../../structures/SimpleMonster").default;
    InsatiableBloodveld: import("../../structures/SimpleMonster").default;
    InsatiableMutatedBloodveld: import("../../structures/SimpleMonster").default;
    KingKurask: import("../../structures/SimpleMonster").default;
    MalevolentMage: import("../../structures/SimpleMonster").default;
    MarbleGargoyle: import("../../structures/SimpleMonster").default;
    MonstrousBasilisk: import("../../structures/SimpleMonster").default;
    Nechryarch: import("../../structures/SimpleMonster").default;
    NightBeast: import("../../structures/SimpleMonster").default;
    NuclearSmokeDevil: import("../../structures/SimpleMonster").default;
    RepugnantSpectre: import("../../structures/SimpleMonster").default;
    ScreamingBanshee: import("../../structures/SimpleMonster").default;
    ScreamingTwistedBanshee: import("../../structures/SimpleMonster").default;
    ShadowWyrm: import("../../structures/SimpleMonster").default;
    SpikedTuroth: import("../../structures/SimpleMonster").default;
    VitreousJelly: import("../../structures/SimpleMonster").default;
    VitreousWarpedJelly: import("../../structures/SimpleMonster").default;
    Barrows: import("./special/Barrows").Barrows;
    TzTokJad: import("./special/TzTokJad").TzTokJadClass;
    Hespori: import("./special/Hespori").Hespori;
    TzKalZuk: import("./special/TzKalZuk").TzKalZukClass;
    BrutalBlackDragon: import("../../structures/SimpleMonster").default;
    BabyBlackDragon: import("../../structures/SimpleMonster").default;
    Bandit: import("../../structures/SimpleMonster").default;
    ArmadylianGuard: import("../../structures/SimpleMonster").default;
    BlackKnight: import("../../structures/SimpleMonster").default;
    DarkWarrior: import("../../structures/SimpleMonster").default;
    DeadlyRedSpider: import("../../structures/SimpleMonster").default;
    ElderChaosDruid: import("../../structures/SimpleMonster").default;
    Ent: import("../../structures/SimpleMonster").default;
    RevenantCyclops: import("../../structures/SimpleMonster").default;
    RevenantPyrefiend: import("../../structures/SimpleMonster").default;
    RevenantOrk: import("../../structures/SimpleMonster").default;
    RevenantKnight: import("../../structures/SimpleMonster").default;
    RevenantImp: import("../../structures/SimpleMonster").default;
    RevenantHobgoblin: import("../../structures/SimpleMonster").default;
    RevenantHellhound: import("../../structures/SimpleMonster").default;
    RevenantGoblin: import("../../structures/SimpleMonster").default;
    RevenantDragon: import("../../structures/SimpleMonster").default;
    RevenantDemon: import("../../structures/SimpleMonster").default;
    RevenantDarkBeast: import("../../structures/SimpleMonster").default;
    Pirate: import("../../structures/SimpleMonster").default;
    Mammoth: import("../../structures/SimpleMonster").default;
    MagicAxe: import("../../structures/SimpleMonster").default;
    LavaDragon: import("../../structures/SimpleMonster").default;
    GuardBandit: import("../../structures/SimpleMonster").default;
    DagannothSpawn: import("../../structures/SimpleMonster").default;
    FeralVampyre: import("../../structures/SimpleMonster").default;
    FeverSpider: import("../../structures/SimpleMonster").default;
    GiantSeaSnake: import("../../structures/SimpleMonster").default;
    GreaterNechryael: import("../../structures/SimpleMonster").default;
    GreenDragon: import("../../structures/SimpleMonster").default;
    HarpieBugSwarm: import("../../structures/SimpleMonster").default;
    InfernalMage: import("../../structures/SimpleMonster").default;
    JungleHorror: import("../../structures/SimpleMonster").default;
    Killerwatt: import("../../structures/SimpleMonster").default;
    LesserDemon: import("../../structures/SimpleMonster").default;
    ElfArcher: import("../../structures/SimpleMonster").default;
    FleshCrawler: import("../../structures/SimpleMonster").default;
    FiyrShade: import("../../structures/SimpleMonster").default;
    DeviantSpectre: import("../../structures/SimpleMonster").default;
    DagannothPrime: import("../../structures/SimpleMonster").default;
    DaganothFledgeling: import("../../structures/SimpleMonster").default;
    Hydra: import("../../structures/SimpleMonster").default;
    IceGiant: import("../../structures/SimpleMonster").default;
    IceTroll: import("../../structures/SimpleMonster").default;
    IceWarrior: import("../../structures/SimpleMonster").default;
    PhrinShade: import("../../structures/SimpleMonster").default;
    Otherworldlybeing: import("../../structures/SimpleMonster").default;
    MutatedBloodveld: import("../../structures/SimpleMonster").default;
    Mourner: import("../../structures/SimpleMonster").default;
    MossGiant: import("../../structures/SimpleMonster").default;
    Molanisk: import("../../structures/SimpleMonster").default;
    Mogre: import("../../structures/SimpleMonster").default;
    LoarShade: import("../../structures/SimpleMonster").default;
    LizardmanBrute: import("../../structures/SimpleMonster").default;
    Jelly: import("../../structures/SimpleMonster").default;
    IorwerthArcher: import("../../structures/SimpleMonster").default;
    IorwerthWarrior: import("../../structures/SimpleMonster").default;
    Werewolf: import("../../structures/SimpleMonster").default;
    Waterfiend: import("../../structures/SimpleMonster").default;
    WarpedJelly: import("../../structures/SimpleMonster").default;
    WallBeast: import("../../structures/SimpleMonster").default;
    VyrewatchSentinel: import("../../structures/SimpleMonster").default;
    Vyrewatch: import("../../structures/SimpleMonster").default;
    VampyreJuvinate: import("../../structures/SimpleMonster").default;
    TzHaarKet: import("../../structures/SimpleMonster").default;
    TrollGeneral: import("../../structures/SimpleMonster").default;
    TerrorDog: import("../../structures/SimpleMonster").default;
    ShadowWarrior: import("../../structures/SimpleMonster").default;
    Shade: import("../../structures/SimpleMonster").default;
    SeaSnakeYoung: import("../../structures/SimpleMonster").default;
    SeaSnakeHatchling: import("../../structures/SimpleMonster").default;
    Rockslug: import("../../structures/SimpleMonster").default;
    RiylShade: import("../../structures/SimpleMonster").default;
    Pyrefiend: import("../../structures/SimpleMonster").default;
    Pyrelord: import("../../structures/SimpleMonster").default;
    Porazdir: import("../../structures/SimpleMonster").default;
    Ogre: import("../../structures/SimpleMonster").default;
    OgressShaman: import("../../structures/SimpleMonster").default;
    OgressWarrior: import("../../structures/SimpleMonster").default;
    AncientZygomite: import("../../structures/SimpleMonster").default;
    AsynShade: import("../../structures/SimpleMonster").default;
    BabyBlueDragon: import("../../structures/SimpleMonster").default;
    BabyGreenDragon: import("../../structures/SimpleMonster").default;
    BabyRedDragon: import("../../structures/SimpleMonster").default;
    BronzeDragon: import("../../structures/SimpleMonster").default;
    BrutalBlueDragon: import("../../structures/SimpleMonster").default;
    BrutalGreenDragon: import("../../structures/SimpleMonster").default;
    BrutalRedDragon: import("../../structures/SimpleMonster").default;
    Catablepon: import("../../structures/SimpleMonster").default;
    Cockatrice: import("../../structures/SimpleMonster").default;
    Crocodile: import("../../structures/SimpleMonster").default;
    Cyclops: import("../../structures/SimpleMonster").default;
    TempleSpider: import("../../structures/SimpleMonster").default;
    TerrorBird: import("../../structures/SimpleMonster").default;
    TorturedGorilla: import("../../structures/SimpleMonster").default;
    TorturedSoul: import("../../structures/SimpleMonster").default;
    TwistedBanshee: import("../../structures/SimpleMonster").default;
    UndeadChicken: import("../../structures/SimpleMonster").default;
    UndeadCow: import("../../structures/SimpleMonster").default;
    UndeadDruid: import("../../structures/SimpleMonster").default;
    UndeadOne: import("../../structures/SimpleMonster").default;
    UriumShade: import("../../structures/SimpleMonster").default;
    WhiteWolf: import("../../structures/SimpleMonster").default;
    WildDog: import("../../structures/SimpleMonster").default;
    Zogre: import("../../structures/SimpleMonster").default;
    ZombieRat: import("../../structures/SimpleMonster").default;
    Penguin: import("../../structures/SimpleMonster").default;
    PitScorpion: import("../../structures/SimpleMonster").default;
    PoisonScorpion: import("../../structures/SimpleMonster").default;
    Rooster: import("../../structures/SimpleMonster").default;
    Seagull: import("../../structures/SimpleMonster").default;
    ShadowSpider: import("../../structures/SimpleMonster").default;
    SkeletonFremennik: import("../../structures/SimpleMonster").default;
    SkeletonMage: import("../../structures/SimpleMonster").default;
    Skogre: import("../../structures/SimpleMonster").default;
    SmallLizard: import("../../structures/SimpleMonster").default;
    SulphurLizard: import("../../structures/SimpleMonster").default;
    GiantBat: import("../../structures/SimpleMonster").default;
    GiantCryptSpider: import("../../structures/SimpleMonster").default;
    GiantRat: import("../../structures/SimpleMonster").default;
    GiantSpider: import("../../structures/SimpleMonster").default;
    GrizzlyBear: import("../../structures/SimpleMonster").default;
    GrizzlyBearCub: import("../../structures/SimpleMonster").default;
    IceWolf: import("../../structures/SimpleMonster").default;
    Jackal: import("../../structures/SimpleMonster").default;
    JungleWolf: import("../../structures/SimpleMonster").default;
    KalphiteGuardian: import("../../structures/SimpleMonster").default;
    KalphiteSoldier: import("../../structures/SimpleMonster").default;
    KingScorpion: import("../../structures/SimpleMonster").default;
    Lobstrosity: import("../../structures/SimpleMonster").default;
    MonkeyArcher: import("../../structures/SimpleMonster").default;
    MonkeyGuard: import("../../structures/SimpleMonster").default;
    MonkeyZombie: import("../../structures/SimpleMonster").default;
    MountedTerrorBirdGnome: import("../../structures/SimpleMonster").default;
    BearCub: import("../../structures/SimpleMonster").default;
    BigWolf: import("../../structures/SimpleMonster").default;
    Bird: import("../../structures/SimpleMonster").default;
    BlackGuard: import("../../structures/SimpleMonster").default;
    CaveGoblinGuard: import("../../structures/SimpleMonster").default;
    ChaosDwarf: import("../../structures/SimpleMonster").default;
    Chicken: import("../../structures/SimpleMonster").default;
    ChompyBird: import("../../structures/SimpleMonster").default;
    CowCalf: import("../../structures/SimpleMonster").default;
    CryptRat: import("../../structures/SimpleMonster").default;
    DeathWing: import("../../structures/SimpleMonster").default;
    DesertLizard: import("../../structures/SimpleMonster").default;
    DesertWolf: import("../../structures/SimpleMonster").default;
    Duck: import("../../structures/SimpleMonster").default;
    Duckling: import("../../structures/SimpleMonster").default;
    DungeonRat: import("../../structures/SimpleMonster").default;
    DwarfGangMember: import("../../structures/SimpleMonster").default;
    AberrantSpectre: import("../../structures/SimpleMonster").default;
    Dagannoth: import("../../structures/SimpleMonster").default;
    Guard: import("../../structures/SimpleMonster").default;
    RedDragon: import("../../structures/SimpleMonster").default;
    AbyssalDemon: import("../../structures/SimpleMonster").default;
    DarkBeast: import("../../structures/SimpleMonster").default;
    Hellhound: import("../../structures/SimpleMonster").default;
    RuneDragon: import("../../structures/SimpleMonster").default;
    AdamantDragon: import("../../structures/SimpleMonster").default;
    DemonicGorilla: import("../../structures/SimpleMonster").default;
    ScarabMage: import("../../structures/SimpleMonster").default;
    Ankou: import("../../structures/SimpleMonster").default;
    Drake: import("../../structures/SimpleMonster").default;
    IronDragon: import("../../structures/SimpleMonster").default;
    SkeletalWyvern: import("../../structures/SimpleMonster").default;
    Aviansie: import("../../structures/SimpleMonster").default;
    DustDevil: import("../../structures/SimpleMonster").default;
    KalphiteWorker: import("../../structures/SimpleMonster").default;
    SmokeDevil: import("../../structures/SimpleMonster").default;
    BasiliskKnight: import("../../structures/SimpleMonster").default;
    ElfWarrior: import("../../structures/SimpleMonster").default;
    Kurask: import("../../structures/SimpleMonster").default;
    SpiritualMage: import("../../structures/SimpleMonster").default;
    Basilisk: import("../../structures/SimpleMonster").default;
    FireGiant: import("../../structures/SimpleMonster").default;
    LizardmanShaman: import("../../structures/SimpleMonster").default;
    SpiritualRanger: import("../../structures/SimpleMonster").default;
    BlackDemon: import("../../structures/SimpleMonster").default;
    FossilIslandWyvernAncient: import("../../structures/SimpleMonster").default;
    Lizardman: import("../../structures/SimpleMonster").default;
    SpiritualWarrior: import("../../structures/SimpleMonster").default;
    BlackDragon: import("../../structures/SimpleMonster").default;
    FossilIslandWyvernLongTailed: import("../../structures/SimpleMonster").default;
    LocustRider: import("../../structures/SimpleMonster").default;
    SteelDragon: import("../../structures/SimpleMonster").default;
    Bloodveld: import("../../structures/SimpleMonster").default;
    FossilIslandWyvernSpitting: import("../../structures/SimpleMonster").default;
    Man: import("../../structures/SimpleMonster").default;
    Suqah: import("../../structures/SimpleMonster").default;
    BlueDragon: import("../../structures/SimpleMonster").default;
    FossilIslandWyvernTaloned: import("../../structures/SimpleMonster").default;
    MithrilDragon: import("../../structures/SimpleMonster").default;
    Turoth: import("../../structures/SimpleMonster").default;
    BrineRat: import("../../structures/SimpleMonster").default;
    Gargoyle: import("../../structures/SimpleMonster").default;
    MountainTroll: import("../../structures/SimpleMonster").default;
    Woman: import("../../structures/SimpleMonster").default;
    CaveHorror: import("../../structures/SimpleMonster").default;
    Goblin: import("../../structures/SimpleMonster").default;
    Zygomite: import("../../structures/SimpleMonster").default;
    Wyrm: import("../../structures/SimpleMonster").default;
    CaveKraken: import("../../structures/SimpleMonster").default;
    GreaterDemon: import("../../structures/SimpleMonster").default;
    Nechryael: import("../../structures/SimpleMonster").default;
    Banshee: import("../../structures/SimpleMonster").default;
    CaveBug: import("../../structures/SimpleMonster").default;
    Cow: import("../../structures/SimpleMonster").default;
    Dwarf: import("../../structures/SimpleMonster").default;
    Lizard: import("../../structures/SimpleMonster").default;
    Rat: import("../../structures/SimpleMonster").default;
    Spider: import("../../structures/SimpleMonster").default;
    Bat: import("../../structures/SimpleMonster").default;
    CaveCrawler: import("../../structures/SimpleMonster").default;
    CrawlingHand: import("../../structures/SimpleMonster").default;
    Ghost: import("../../structures/SimpleMonster").default;
    Minotaur: import("../../structures/SimpleMonster").default;
    Scorpion: import("../../structures/SimpleMonster").default;
    Wolf: import("../../structures/SimpleMonster").default;
    BlackBear: import("../../structures/SimpleMonster").default;
    CaveSlime: import("../../structures/SimpleMonster").default;
    GuardDog: import("../../structures/SimpleMonster").default;
    Icefiend: import("../../structures/SimpleMonster").default;
    Monkey: import("../../structures/SimpleMonster").default;
    Skeleton: import("../../structures/SimpleMonster").default;
    Zombie: import("../../structures/SimpleMonster").default;
    HillGiant: import("../../structures/SimpleMonster").default;
    BeardedBandit: import("../../structures/SimpleMonster").default;
    CaveGoblin: import("../../structures/SimpleMonster").default;
    DesertBandit: import("../../structures/SimpleMonster").default;
    Elf: import("../../structures/SimpleMonster").default;
    Farmer: import("../../structures/SimpleMonster").default;
    FremennikCitizen: import("../../structures/SimpleMonster").default;
    Gnome: import("../../structures/SimpleMonster").default;
    Goat: import("../../structures/SimpleMonster").default;
    MaleHamMember: import("../../structures/SimpleMonster").default;
    FemaleHamMember: import("../../structures/SimpleMonster").default;
    Hero: import("../../structures/SimpleMonster").default;
    KnightOfArdougne: import("../../structures/SimpleMonster").default;
    MasterFarmer: import("../../structures/SimpleMonster").default;
    Paladin: import("../../structures/SimpleMonster").default;
    YanilleWatchman: import("../../structures/SimpleMonster").default;
    Vyre: import("../../structures/SimpleMonster").default;
    TzHaarHur: import("../../structures/SimpleMonster").default;
    Rogue: import("../../structures/SimpleMonster").default;
    PrifddinasElf: import("../../structures/SimpleMonster").default;
    PollnivnianBandit: import("../../structures/SimpleMonster").default;
    WarriorWoman: import("../../structures/SimpleMonster").default;
    AlKharidWarrior: import("../../structures/SimpleMonster").default;
    Ghoul: import("../../structures/SimpleMonster").default;
    EarthWarrior: import("../../structures/SimpleMonster").default;
    Imp: import("../../structures/SimpleMonster").default;
    Jogre: import("../../structures/SimpleMonster").default;
    Hobgoblin: import("../../structures/SimpleMonster").default;
    ChaosDruid: import("../../structures/SimpleMonster").default;
    Unicorn: import("../../structures/SimpleMonster").default;
    MenaphiteThug: import("../../structures/SimpleMonster").default;
    PriffRabbit: import("../../structures/SimpleMonster").default;
    TzHaarXil: import("../../structures/SimpleMonster").default;
    TzHaarMej: import("../../structures/SimpleMonster").default;
    GiantFrog: import("../../structures/SimpleMonster").default;
    JubblyBird: import("../../structures/SimpleMonster").default;
    ManiacalMonkey: import("../../structures/SimpleMonster").default;
    AbyssalSire: import("../../structures/SimpleMonster").default;
    Cerberus: import("../../structures/SimpleMonster").default;
    AlchemicalHydra: import("../../structures/SimpleMonster").default;
    GrotesqueGuardians: import("../../structures/SimpleMonster").default;
    ThermonuclearSmokeDevil: import("../../structures/SimpleMonster").default;
    Kraken: import("../../structures/SimpleMonster").default;
    Callisto: import("../../structures/SimpleMonster").default;
    ChaosElemental: import("../../structures/SimpleMonster").default;
    CrazyArchaeologist: import("../../structures/SimpleMonster").default;
    KingBlackDragon: import("../../structures/SimpleMonster").default;
    Scorpia: import("../../structures/SimpleMonster").default;
    Venenatis: import("../../structures/SimpleMonster").default;
    Vetion: import("../../structures/SimpleMonster").default;
    ChaosFanatic: import("../../structures/SimpleMonster").default;
    Artio: import("../../structures/SimpleMonster").default;
    Spindel: import("../../structures/SimpleMonster").default;
    Calvarion: import("../../structures/SimpleMonster").default;
    CorporealBeast: import("../../structures/SimpleMonster").default;
    DagannothRex: import("../../structures/SimpleMonster").default;
    DagannothSupreme: import("../../structures/SimpleMonster").default;
    GiantMole: import("../../structures/SimpleMonster").default;
    KalphiteQueen: import("../../structures/SimpleMonster").default;
    Obor: import("../../structures/SimpleMonster").default;
    Sarachnis: import("../../structures/SimpleMonster").default;
    Vorkath: import("../../structures/SimpleMonster").default;
    Zulrah: import("../../structures/SimpleMonster").default;
    CommanderZilyana: import("../../structures/SimpleMonster").default;
    GeneralGraardor: import("../../structures/SimpleMonster").default;
    Kreearra: import("../../structures/SimpleMonster").default;
    KrilTsutsaroth: import("../../structures/SimpleMonster").default;
    Bryophyta: import("../../structures/SimpleMonster").default;
    Skotizo: import("../../structures/SimpleMonster").default;
    DerangedArchaeologist: import("../../structures/SimpleMonster").default;
    PhantomMuspah: import("../../structures/SimpleMonster").default;
    DukeSucellus: {
        allItems: number[];
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
    };
    Vardorvis: {
        allItems: number[];
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
    };
    TheLeviathan: {
        allItems: number[];
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
    };
    TheWhisperer: {
        allItems: number[];
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
    };
    AwakenedDukeSucellus: {
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
        allItems: number[];
    };
    AwakenedTheLeviathan: {
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
        allItems: number[];
    };
    AwakenedTheWhisperer: {
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
        allItems: number[];
    };
    AwakenedVardorvis: {
        kill(quantity?: number, options?: import("../..").MonsterKillOptions): import("../..").Bank;
        id: number;
        name: string;
        aliases: string[];
        data: import("../../meta/monsterData").MonsterData;
        allItems: number[];
    };
};
export default Monsters;
//# sourceMappingURL=index.d.ts.map