"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const LootTable_1 = __importDefault(require("../../../../structures/LootTable"));
const SimpleMonster_1 = __importDefault(require("../../../../structures/SimpleMonster"));
const RareDropTable_1 = require("../../../subtables/RareDropTable");
const UncommonSeedDropTable_1 = __importDefault(require("../../../subtables/UncommonSeedDropTable"));
const IceGiantTable = new LootTable_1.default()
    .every('Big bones')
    /* Weapons and armour */
    .add('Iron 2h sword', 1, 5)
    .add('Black kiteshield', 1, 4)
    .add('Steel axe', 1, 4)
    .add('Steel sword', 1, 4)
    .add('Iron platelegs', 1, 1)
    .add('Mithril mace', 1, 1)
    .add('Mithril sq shield', 1, 1)
    /* Runes and ammunition */
    .add('Adamant arrow', 5, 6)
    .add('Nature rune', 6, 4)
    .add('Mind rune', 24, 3)
    .add('Body rune', 37, 3)
    .add('Law rune', 3, 2)
    .add('Water rune', 12, 1)
    .add('Cosmic rune', 4, 1)
    .add('Death rune', 3, 1)
    .add('Blood rune', 2, 1)
    /* Seeds */
    .add(UncommonSeedDropTable_1.default, 1, 8)
    /* Coins */
    .add('Coins', 117, 32)
    .add('Coins', 53, 12)
    .add('Coins', 196, 10)
    .add('Coins', 8, 7)
    .add('Coins', 22, 6)
    .add('Coins', 400, 2)
    /* Other */
    .add('Jug of wine', 1, 3)
    .add('Mithril ore', 1, 1)
    .add('Banana', 1, 1)
    /* Gem drop table */
    .add(RareDropTable_1.GemTable, 1, 4)
    /* Tertiary */
    .tertiary(21, 'Ensouled giant head')
    .tertiary(40, 'Clue scroll (beginner)')
    .tertiary(400, 'Long bone')
    .tertiary(5000, 'Giant champion scroll')
    .tertiary(5013, 'Curved bone');
exports.default = new SimpleMonster_1.default({
    id: 2085,
    name: 'Ice giant',
    table: IceGiantTable,
    aliases: ['ice giant']
});
//# sourceMappingURL=IceGiant.js.map