"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JellyPreTable = void 0;
const LootTable_1 = __importDefault(require("../../../../structures/LootTable"));
const SimpleMonster_1 = __importDefault(require("../../../../structures/SimpleMonster"));
const RareDropTable_1 = require("../../../subtables/RareDropTable");
exports.JellyPreTable = new LootTable_1.default()
    /* Weapons and armour */
    .add('Steel battleaxe', 1, 11)
    .add('Steel 2h sword', 1, 7)
    .add('Steel axe', 1, 3)
    .add('Mithril kiteshield', 1, 2)
    .add('Mithril boots', 1, 1)
    .add('Rune full helm', 1, 1)
    /* Coins */
    .add('Coins', 102, 39)
    .add('Coins', 44, 30)
    .add('Coins', 220, 10)
    .add('Coins', 11, 7)
    .add('Coins', 460, 2)
    /* Other */
    .add('Chaos rune', 15, 5)
    .add('Death rune', 5, 3)
    .add('Gold bar', 1, 2)
    .add('Thread', 10, 1)
    /* Gem drop table */
    .add(RareDropTable_1.GemTable, 1, 4);
const JellyTable = new LootTable_1.default()
    .every(exports.JellyPreTable)
    /* Tertiary */
    .tertiary(128, 'Clue scroll (hard)');
exports.default = new SimpleMonster_1.default({
    id: 437,
    name: 'Jelly',
    table: JellyTable,
    aliases: ['jelly', 'jello']
});
//# sourceMappingURL=Jelly.js.map