import { BankItem, Item, ItemBank, ReturnedLootItem } from '../meta/types';
export default class Bank {
    bank: ItemBank;
    frozen: boolean;
    constructor(initialBank?: ItemBank | Bank);
    freeze(): this;
    amount(item: string | number): number;
    addItem(item: number, quantity?: number): this;
    removeItem(item: number | string, quantity?: number): this;
    add(item: string | number | ReturnedLootItem[] | ItemBank | Bank | Item | undefined, quantity?: number): Bank;
    remove(item: string | number | ReturnedLootItem[] | ItemBank | Bank, quantity?: number): Bank;
    random(): BankItem | null;
    multiply(multiplier: number, itemsToNotMultiply?: number[]): this;
    has(items: string | number | (string | number)[] | ItemBank | Bank): boolean;
    items(): [Item, number][];
    forEach(fn: (item: Item, quantity: number) => unknown): void;
    clone(): Bank;
    fits(bank: Bank): number;
    filter(fn: (item: Item, quantity: number) => boolean, mutate?: boolean): Bank;
    toString(): string;
    get length(): number;
    value(): number;
    equals(otherBank: Bank): boolean;
    difference(otherBank: Bank): Bank;
}
//# sourceMappingURL=Bank.d.ts.map