"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.USELESS_ITEMS = exports.itemNameMap = void 0;
const item_data_json_1 = __importDefault(require("../data/items/item_data.json"));
const cleanString_1 = require("../util/cleanString");
const Collection_1 = __importDefault(require("./Collection"));
// @ts-ignore asdf
const items = item_data_json_1.default;
exports.itemNameMap = new Map();
exports.USELESS_ITEMS = [
    617, 8890, 6964, 2513, 19492, 11071, 11068, 21284, 24735, 21913, 4703, 4561, 2425, 4692, 3741,
    // Pharaoh's sceptres
    9045, 9046, 9047, 9048, 9049, 9050, 9051, 13074, 13075, 13076, 13077, 13078, 16176, 21445, 21446, 26948,
    26950, 26945,
    // Removed items
    10639, 10641, 10644, 10646, 10647, 10648, 10649, 10651, 10652, 10654, 10657, 10658, 10659, 10661,
    27794, 27795, 27796, 27797, 27798, 27799, 27800, 27801
];
class Items extends Collection_1.default {
    get(item) {
        const id = this.resolveID(item);
        if (typeof id === 'undefined')
            return undefined;
        return super.get(id);
    }
    resolveID(input) {
        if (typeof input === 'number') {
            return input;
        }
        if (typeof input === 'string') {
            const cleanName = (0, cleanString_1.cleanString)(input);
            return exports.itemNameMap.get(cleanName);
        }
        return undefined;
    }
}
const itemsExport = new Items();
for (const [id, item] of Object.entries(items)) {
    const numID = parseInt(id);
    if (exports.USELESS_ITEMS.includes(numID))
        continue;
    itemsExport.set(numID, item);
    const cleanName = (0, cleanString_1.cleanString)(item.name);
    if (!exports.itemNameMap.has(cleanName))
        exports.itemNameMap.set(cleanName, numID);
}
exports.default = itemsExport;
//# sourceMappingURL=Items.js.map