import { LootTableItem, LootTableMoreOptions, LootTableOptions, OneInItems } from '../meta/types';
import Bank from './Bank';
export declare function isArrayOfItemTuples(x: readonly unknown[]): x is [string, (number | number[])?][];
export default class LootTable {
    length: number;
    table: LootTableItem[];
    totalWeight: number;
    limit?: number;
    oneInItems: OneInItems[];
    tertiaryItems: OneInItems[];
    everyItems: LootTableItem[];
    allItems: number[];
    constructor(lootTableOptions?: LootTableOptions);
    clone(): LootTable;
    private resolveName;
    private addToAllItems;
    oneIn(chance: number, item: LootTable | number | string, quantity?: number | number[], options?: LootTableMoreOptions): this;
    tertiary(chance: number, item: LootTable | number | string, quantity?: number | number[], options?: LootTableMoreOptions): this;
    every(item: LootTable | number | string, quantity?: number | number[], options?: LootTableMoreOptions): this;
    add(item: LootTable | number | string | [string, (number | number[])?][] | LootTableItem[], quantity?: number[] | number, weight?: number, options?: LootTableMoreOptions): this;
    roll(quantity?: number): Bank;
    private addResultToLoot;
    protected determineQuantity(quantity: number | number[]): number;
}
//# sourceMappingURL=LootTable.d.ts.map