import { DateYearMonth, NewsItemWithDOM } from '../meta/types';
import Collection from './Collection';
interface NewsPageContent {
    content: string;
    description: string;
}
declare class News extends Collection<string, NewsItemWithDOM> {
    fetchRecent(): Promise<NewsItemWithDOM[]>;
    fetchPageContent(link: string): Promise<NewsPageContent>;
    decrementDate({ year, month }: DateYearMonth): DateYearMonth;
    fetchNewArticles(date?: DateYearMonth): Promise<NewsItemWithDOM[] | undefined>;
    fetchMonth({ year, month }: DateYearMonth, cache?: boolean, pageNumber?: number): Promise<NewsItemWithDOM[]>;
    generateNewsURL(year: number, month: number, page?: number): string;
}
declare const news: News;
export default news;
//# sourceMappingURL=News.d.ts.map