import { OpenableOpenOptions, OpenableOptions } from '../meta/types';
import Bank from './Bank';
/**
 * An entity from OSRS which can be opened (e.g. implings)
 */
export default abstract class Openable {
    /**
     *  The item ID of the item which is opened.
     */
    id: number;
    name: string;
    aliases: string[];
    abstract open(quantity: number, options: OpenableOpenOptions): Bank;
    allItems: number[];
    constructor(options: OpenableOptions);
}
//# sourceMappingURL=Openable.d.ts.map