"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Player {
    constructor(player) {
        Object.defineProperty(this, "username", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "skills", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "minigames", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "bossRecords", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "type", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "clues", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "leaguePoints", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.username = player.username;
        this.skills = player.skills;
        this.minigames = player.minigames;
        this.bossRecords = player.bossRecords;
        this.type = player.type;
        this.clues = player.clues;
        this.leaguePoints = player.leaguePoints;
    }
    get combatLevel() {
        const { defence, ranged, hitpoints, magic, prayer, attack, strength } = this.skills;
        const base = 0.25 * (defence.level + hitpoints.level + Math.floor(prayer.level / 2));
        const melee = 0.325 * (attack.level + strength.level);
        const range = 0.325 * (Math.floor(ranged.level / 2) + ranged.level);
        const mage = 0.325 * (Math.floor(magic.level / 2) + magic.level);
        return Math.floor(base + Math.max(melee, range, mage));
    }
}
exports.default = Player;
//# sourceMappingURL=Player.js.map