import { hiscoreURLs } from '../constants';
import { CustomKillLogic, DateYearMonth, ItemBank, LootBank } from '../meta/types';
import LootTable from '../structures/LootTable';
import Player from '../structures/Player';
export declare function resolvePlayerFromHiscores(csvData: string, accountType: keyof typeof hiscoreURLs): Player;
/**
 * Determines whether a string is a valid RuneScape username.
 * @param username The username to check.
 */
export declare function isValidUsername(username: string): boolean;
/**
 * Returns the current month and year.
 */
export declare function getDate(): DateYearMonth;
export declare function convertLVLtoXP(lvl: number): number;
export declare function convertXPtoLVL(xp: number, cap?: number): number;
export declare function toKMB(number: number): string;
export declare function fromKMB(number: string): number;
export declare function getBrimKeyChanceFromCBLevel(combatLevel: number): number;
export declare function JSONClone<O>(object: O): O;
export declare function convertLootBanksToItemBanks(lootResult: LootBank): Record<string, ItemBank>;
export declare function getAncientShardChanceFromHP(hitpoints: number): number;
export declare function getTotemChanceFromHP(hitpoints: number): number;
export interface RevTable {
    uniqueTable: RevTableItem;
    ancientEmblem: RevTableItem;
    ancientTotem: RevTableItem;
    ancientCrystal: RevTableItem;
    ancientStatuette: RevTableItem;
    topThree: RevTableItem;
    seeds: RevTableItem;
}
type RevTableItem = [number, number];
export declare const revsUniqueTable: LootTable;
export declare function makeRevTable(table: RevTable): CustomKillLogic;
/**
 * Adds random variation to a number. For example, if you pass 10%, it can at most lower the value by 10%,
 * or increase it by 10%, and everything in between.
 * @param value The value to add variation too.
 * @param percentage The max percentage to fluctuate the value by, in both negative/positive.
 */
export declare function randomVariation(value: number, percentage: number): number;
export {};
//# sourceMappingURL=util.d.ts.map